{% load quality_extras %}

<form class="row row-cols-sm-auto g-3 align-items-center"
      method="get"
      action="{% url 'quality:check-overview' %}">
  <div class="col-12">
    <label class="visually-hidden" for="networkSelect">Networks selection</label>
    <select class="form-select form-select-sm"
            id="networkSelect"
            name="network"
            placeholder="Networks"
            multiple>
      {% for network in networks %}
        <option {% if network.code in request.GET|getlist:"network" %}selected{% endif %}
                value="{{ network.code }}">{{ network.code }}</option>
      {% endfor %}
    </select>
  </div>
  <div class="col-12">
    <label class="visually-hidden" for="stationSelect">Stations selection</label>
    <select class="form-select form-select-sm"
            id="stationSelect"
            name="station"
            placeholder="Stations"
            multiple>
      {% for station in stations %}
        <option {% if station.code in request.GET|getlist:"station" %}selected{% endif %}
                value="{{ station.code }}">{{ station.code }}</option>
      {% endfor %}
    </select>
  </div>
  <div class="col-12">
    <label class="visually-hidden" for="channelSelect">Channels selection</label>
    <select class="form-select form-select-sm"
            id="channelSelect"
            name="channel"
            placeholder="Channels"
            multiple>
      {% for channel in channels %}
        <option {% if channel in request.GET|getlist:"channel" %}selected{% endif %}
                value="{{ channel }}">{{ channel }}</option>
      {% endfor %}
    </select>
  </div>
  <div class="col-12">
    <label class="visually-hidden" for="operatorSelect">Operators selection</label>
    <select class="form-select form-select-sm"
            id="operatorSelect"
            name="operator"
            placeholder="Operators"
            multiple>
      {% for operator in operators.acronyms_only %}
        <option {% if operator in request.GET|getlist:"operator" %}selected{% endif %}
                value="{{ operator }}">{{ operator }}</option>
      {% endfor %}
    </select>
  </div>
  <div class="col-12">
    <button type="submit" class="btn btn-primary btn-sm">Submit</button>
  </div>
</form>
